Bobby R. Bruce has submitted this change. ( https://gem5-review.googlesource.com/c/public/gem5/+/46520 )

Change subject: tests: Add nightly tests script to the gem5 repo
......................................................................

tests: Add nightly tests script to the gem5 repo

This script previously existed entirely within our Jenkins instance.
However, in the interests of transparancy, and allowing users to run the
Nightly tests on their own machines, this script should be added to the
repo. This also allows the community to change the nightly tests without
contacting the Jenkins' administrators.

Change-Id: I6cc3d7597776dbdeb9efb31766d579a2be733d68
Reviewed-on: https://gem5-review.googlesource.com/c/public/gem5/+/46520
Reviewed-by: Daniel Carvalho <[email protected]>
Reviewed-by: Jason Lowe-Power <[email protected]>
Maintainer: Jason Lowe-Power <[email protected]>
Tested-by: kokoro <[email protected]>
---
A tests/nightly.sh
1 file changed, 83 insertions(+), 0 deletions(-)

Approvals:
  Jason Lowe-Power: Looks good to me, approved; Looks good to me, approved
  Daniel Carvalho: Looks good to me, approved
  kokoro: Regressions pass



diff --git a/tests/nightly.sh b/tests/nightly.sh
new file mode 100755
index 0000000..b2c226f
--- /dev/null
+++ b/tests/nightly.sh
@@ -0,0 +1,83 @@
+#!/bin/bash
+
+# Copyright (c) 2021 The Regents of the University of California
+# All Rights Reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met: redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer;
+# redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution;
+# neither the name of the copyright holders nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+set -x
+
+dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+gem5_root="${dir}/.."
+
+# We assume the lone argument is the number of threads. If no argument is
+# given we default to one.
+threads=1
+if [[ $# -gt 0 ]]; then
+    threads=$1
+fi
+
+build_target () {
+    isa=$1
+
+    # Try to build. If not, delete the build directory and try again.
+    # SCons is not perfect, and occasionally does not catch a necessary
+    # compilation: https://gem5.atlassian.net/browse/GEM5-753
+    docker run -u $UID:$GID --volume "${gem5_root}":"${gem5_root}" -w \
+ "${gem5_root}" --rm gcr.io/gem5-test/ubuntu-20.04_all-dependencies \
+            bash -c "scons build/${isa}/gem5.opt -j${threads} \
+ || (rm -rf build && scons build/${isa}/gem5.opt -j${threads})"
+}
+
+unit_test () {
+    build=$1
+
+    docker run -u $UID:$GID --volume "${gem5_root}":"${gem5_root}" -w \
+ "${gem5_root}" --rm gcr.io/gem5-test/ubuntu-20.04_all-dependencies \
+            scons build/NULL/unittests.${build} -j${threads}
+}
+
+# Ensure we have the latest docker images.
+docker pull gcr.io/gem5-test/ubuntu-20.04_all-dependencies
+
+# Try to build the ISA targets.
+build_target NULL
+build_target RISCV
+build_target X86
+build_target ARM
+build_target SPARC
+build_target MIPS
+build_target POWER
+
+# Run the unit tests.
+unit_test opt
+unit_test debug
+unit_test perf
+unit_test prof
+
+# Run the gem5 long tests.
+docker run -u $UID:$GID --volume "${gem5_root}":"${gem5_root}" -w \
+ "${gem5_root}"/tests --rm gcr.io/gem5-test/ubuntu-20.04_all-dependencies \
+        ./main.py run --length long -j${threads} -t${threads}
\ No newline at end of file

--
To view, visit https://gem5-review.googlesource.com/c/public/gem5/+/46520
To unsubscribe, or for help writing mail filters, visit https://gem5-review.googlesource.com/settings

Gerrit-Project: public/gem5
Gerrit-Branch: develop
Gerrit-Change-Id: I6cc3d7597776dbdeb9efb31766d579a2be733d68
Gerrit-Change-Number: 46520
Gerrit-PatchSet: 5
Gerrit-Owner: Bobby R. Bruce <[email protected]>
Gerrit-Reviewer: Bobby R. Bruce <[email protected]>
Gerrit-Reviewer: Daniel Carvalho <[email protected]>
Gerrit-Reviewer: Jason Lowe-Power <[email protected]>
Gerrit-Reviewer: kokoro <[email protected]>
Gerrit-MessageType: merged
_______________________________________________
gem5-dev mailing list -- [email protected]
To unsubscribe send an email to [email protected]
%(web_page_url)slistinfo%(cgiext)s/%(_internal_name)s

Reply via email to